Package ru.bitel.bgbilling.modules.cloudpayments.server.bean

# Enum OrderStatus

java.lang.Object
java.lang.Enum<OrderStatus>
ru.bitel.bgbilling.modules.cloudpayments.server.bean.OrderStatus

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OrderStatus>`, `java.lang.constant.Constable`

    public enum OrderStatus
    extends java.lang.Enum<OrderStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `APPROVED` |
  `AUTHORIZATION` |
  `CANCEL` |
  `DEPOSITED` |
  `REFUNDED` |
  `REGISTER` |
  `REVERSED` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCode()` |
  `static OrderStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static OrderStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REGISTER

    public static final OrderStatus REGISTER

  - ### APPROVED

    public static final OrderStatus APPROVED

  - ### DEPOSITED

    public static final OrderStatus DEPOSITED

  - ### REVERSED

    public static final OrderStatus REVERSED

  - ### REFUNDED

    public static final OrderStatus REFUNDED

  - ### AUTHORIZATION

    public static final OrderStatus AUTHORIZATION

  - ### CANCEL

    public static final OrderStatus CANCEL

- ## Method Details

  - ### values

    public static OrderStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OrderStatus valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public java.lang.String getCode()